image: docker:24

services:
  - docker:24-dind

run-default:
  tags:
    - global-runner
  rules:
    - if: $CI_COMMIT_TAG
  script:
    - docker build --pull --build-arg GIT_HASH=$CI_COMMIT_SHORT_SHA -t $CI_REGISTRY_IMAGE:$CI_COMMIT_TAG
    - docker push $CI_REGISTRY_IMAGE:$CI_COMMIT_TAG
